public class Main {
    public static void main(String[] args) {
        try(ConsoleReader cr = new ConsoleReader()) {
            do {
                Game game = new Game(7, 6, cr);
                game.run();
            } while(askPlayAgain(cr));
        }
    }

    private static boolean askPlayAgain(ConsoleReader cr) {
        while(true) {
            System.out.println("New game? Y/N");
            String s = cr.readLine();
            if(s.equals("Y")) {
                return true;
            } else if(s.equals("N")) {
                System.out.println("Game closed.");
                return false;
            }
        }
    }
}